/*
Theme Name: Wedesign Themes
Description: Minimalist and modern Theme, focusing on strong visuals and elegant storytelling. With a neutral color palette and clean typography, its spacious layout creates a sophisticated, user-friendly portfolio for showcasing creative work.
Author: Wedesign Team
Author URI: https://wedesign.id
Author Email: hello@wedesign.id
Version: 1.0.0
Text Domain: hello-elementor-child
Template: hello-elementor
*/
/*
Add your custom styles here
*/

.wc-gallery-swap{display:grid;align-items:center;justify-items:center}
.wc-gallery-swap .wcgi{grid-area:1/1;max-width:100%;height:auto}
.wc-gallery-swap .img-hover{opacity:0;transition:opacity .25s ease;z-index:1}
.wc-gallery-swap:hover .img-hover{opacity:1}
.wc-gallery-swap:hover .img-default{opacity:0}

.woocommerce-product-gallery{position:relative}
.woocommerce-product-gallery .flex-direction-nav a{
  position:absolute;top:40%;transform:translateY(-50%);
  width:48px;display:grid;place-items:center;
  text-decoration:none;z-index:5;font-size:0;line-height:0;
	    align-content: center;filter: invert(.5);
}
.woocommerce-product-gallery .flex-direction-nav .flex-prev{left:12px}
.woocommerce-product-gallery .flex-direction-nav .flex-next{right:12px}

/* Chevron tebal hitam via ::after */
.woocommerce-product-gallery .flex-direction-nav .flex-prev::after,
.woocommerce-product-gallery .flex-direction-nav .flex-next::after{
  content:""; display:block; width:16px; height:16px;
}
.woocommerce-product-gallery .flex-direction-nav .flex-prev::after{ transform:rotate(135deg) }  /* ‹ */ 
.woocommerce-product-gallery .flex-direction-nav .flex-next::after{ transform:rotate(-45deg) } /* › */

.woocommerce-product-gallery .flex-direction-nav a{ width:clamp(36px,4.5vw,64px);height:clamp(36px,4.5vw,64px);
    background: transparent; border-radius: 50%; }
.woocommerce-product-gallery .flex-direction-nav .flex-prev::after,
.woocommerce-product-gallery .flex-direction-nav .flex-next::after{
  width:clamp(12px,1.6vw,18px); height:clamp(12px,1.6vw,18px);
  border-right:clamp(1px,.1vw,1px) solid #000;
  border-bottom:clamp(1px,.1vw,1px) solid #000;
}
.woocommerce-product-gallery .flex-direction-nav .flex-prev::after {    margin-right: -10px;}
.woocommerce-product-gallery .flex-direction-nav .flex-next::after {    margin-left: -10px;}
ul.flex-direction-nav {
    list-style: none;
}
img.zoomImg {
    display: none !important;
    opacity: 0 !important;
}
.hide, .menu-item-type-custom [href="#"].elementor-item {
	display:none !important;
}

@media (min-width: 768px) and (max-width:1024px) {
    .elementor .elementor-hidden-tablet {
        display:none !important
    }
}

@media (min-width: 1025px) and (max-width:99999px) {
    .elementor .elementor-hidden-desktop {
        display:none !important
    }
}

@media (max-width: 767px) {
    .elementor .elementor-hidden-mobile,.elementor .elementor-hidden-phone {
        display:none !important
    }
}
button.cky-btn.cky-btn-reject {
	font-size: 16px !important;
}

.woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product p.price, .woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product span.price {
	color: var( --e-global-color-primary ) !important;
}
.woocommerce-product-gallery__image {
    margin-left: -1px !important;
}